@import url('https://fonts.googleapis.com/css2?family=Arimo:ital,wght@0,400..700;1,400..700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&display=swap');
*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
    font-family: var(--fonte1);
    list-style: none;
}

:root{
    --cor-principal: #3e3f41;
    --cor-secundaria: #72a1ad;
    --branco: #fefbf6;
    --preto: black;
    --grey: #343536;
    --darkgray: rgba(61, 60, 60, 0.322);
    --cinza: rgba(179, 169, 169, 0.61);

    --fonte1: "Arimo", sans-serif;
    --fonte2: "Arial", sans-serif;
    --fonte3: "Helvetica", sans-serif;
    --font4: "PT Sans", sans-serif;
}

body {
    width: 98vw;
    height: 80vh;
    font-family: Arial, sans-serif;
    padding-left: 20px;

    overflow-x: hidden;
}

header {
    display: flex;
    align-items: center;
    justify-content: center;

    height: 30px;
    padding: 19px;
    
    background-color: var(--cor-principal);
    color: #72a1ad;
    font-size: 0.9rem;
}

header span{
    gap: 5px;
    color: white;
    font-weight: bold;
    margin-left: 5px;
    text-align: center;
    padding-right: 100vh;
}
header .btn-topo{
    background-color: var(--cor-principal);
    color: white;
    cursor: pointer;

    font-size: 1rem;
    padding: 8px;
}

header .btn-topo:hover{
    transform: scale(1.01);
}

nav{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    /* padding-top: 13px; */
    padding: 10px;
}
nav img{
    width: 400px;
    height: 130px;
}

nav input {
    display: flex;
    align-items: center;
    justify-content: center;

    height: 40px;
    width: 30%;

    font-size: 1.3rem;
}

.buscar{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;

    width: 60%;
    height: 60px;
}

.lupa{
    position: absolute;
    margin-left: 300px;
    cursor: pointer;

    width: 25px;
    height: 25px;   
}

.lupa:hover{
    transform: scale(1.2);
}

:placeholder-shown{
    font-size: 1rem;
}

nav i{
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 1.7rem;
   
    cursor: pointer;

    right: 50px;
}


nav i :hover{
    transform: scale(1.1);
}

nav .btn-carrinho{
    display: flex;
    align-items: center;
    justify-content: center;

    height: 40px;
    width: 12%;
    background-color: var(--cor-principal);
    
    color: white;

    cursor: pointer;

    border-radius: 3%;

    padding: 8px; 
}

nav .btn-carrinho:hover{
    transform: scale(1.1);
    background-position: -60px;
    box-shadow: 0 3px 6px rgba(0, 0, 0, 0.16), 0 3px 6px rgba(0, 0, 0, 0.23);
}


nav .btn-carrinho span{
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;

    padding: 8px;      
}

.categorias {
    width: 12%;
    float: left;
    height: 800px;
   }

.categorias p{
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 20px;
    font-size: 1.3rem;
    width: 130%;
    height: 70px;
    background-color: #3e3f41;
    color: white;
    box-sizing: border-box;
    border-top: 8px solid #d40000;
}

.menu-itens ul li a{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    padding: 7px;
    gap: 30px;
    text-align: start;
    background-color: white;
    border: 1px solid rgb(50, 50, 235);
  
    cursor: pointer;

    color: currentColor;

    width: 130%;
    height: 30px;
}

.menu-itens i{
    position: absolute;
    left: 290px;
    font-size: 1.3rem;
    margin-top: -10px;
}

.menu-itens i:hover{
    transform: scale(1.2);
}

hr{
    margin-top: 10px;
    margin-bottom: 10px;

    width: 300px;
}

.novidades{
    margin-top: 15px;
}

.novidades-itens ul li a{

    display: flex;
    align-items: center;
    justify-content: flex-start;

    gap: 15px;
}

.novidades-itens ul li a span{
    max-width: 100%;
    word-wrap: break-word;
}

.tecladoo{
    width: 70%;
    border: 1px solid black; 
    cursor: pointer; 
}

.cooler-rgb{
    width: 110%;
    height: 130px;
    margin-top: 20px;
    border: 1px solid black; 
    cursor: pointer;
}

.jbl-img{
    width: 70%;
    height: 90px;
    margin-top: 20px;
    border: 1px solid black; 
    cursor: pointer;
}

.recem-add{
    display: flex;
    justify-content: center;
    align-items: center;

    width: 130%;
    height: 30px;


    margin-top: 15px;

    cursor: pointer;

    color: var(--preto);
    background-color: var(--darkgray);
    border: 1px solid black;
    font-size: 1.1rem;
}

.vendidos p{
    display: flex;
    align-items: center;
    justify-content: center;

    margin-top: 30px; 
}

.pendrive{
    width: 70%;
    border: 1px solid black;
    cursor: pointer;

    margin-top: 5%;
}

.mais-vendidos ul li a{

    display: flex;
    align-items: center;
    justify-content: flex-start;

    gap: 15px;

}

.mais-vendidos ul li a span{
    max-width: 100%;
    word-wrap: break-word;
}


.ssd{
    width: 70%;
    border: 1px solid black;
    cursor: pointer;

    margin-top: 5%;
}

.forca{
    width: 70%;
    border: 1px solid black;
    cursor: pointer;

    margin-top: 5%;
}

footer {
    margin-top: 5vh;
}

.rodape{
    position: absolute;
    margin-top: 105vw;
    width: 97vw;
    height: 90px;
    background-color: var(--grey);
    padding: 20px;
}

.rodape p{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    
    color: var(--branco);
    font-size: 1.5rem;
    width: 90%;
    height: 20px;
    cursor: pointer;
}

.newsletter{
    display: flex;
    align-items: center;
    justify-content: center;

    margin-top: -30px;
    margin-left: 130px;
    width: 340px;
    height: 45px;
    border-radius: 5px;
    cursor: pointer;
}

.newsletter input{
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90%;
    height: 97%;

    font-size: 1rem;

    border-radius: 5px;
    right: 100px;
}

.newsletter i{
    position: absolute;
    left: 22.8%;
    top: 17%;

    font-size: 2rem;
}

.newsletter i:hover{
    transform: scale(1.2);
}

.rodape :placeholder-shown{
    font-size: 1rem;
    background-color: var(--grey);
    color: var(--branco);
}

.rodape-fim{
    position: absolute;
    display: flex;
    align-items: flex-start;
    justify-content: center;

    gap: 30px;

   top: 121vw;

   background-color: #3e3f41;
   width: 97vw;
   height: 300px;
}

.informacoes {
    display: flex;
    flex-direction: column;
    gap: 10px;

    padding: 15px 0 0 0;

    color: var(--branco);

}

.rodape-fim div ul {
    display: flex;
    flex-direction: column;

    gap: 5px;
}

.rodape-fim div ul li a{
    color: var(--cor-secundaria);
}

.rodape-fim div ul li a:hover{
    color: var(--branco);
    text-decoration: underline;
    scale: 1.02;
}

.conta {
    display: flex;
    flex-direction: column;
    gap: 10px;

    padding: 15px 0 0 0;

    color: var(--branco);

}


.rodape-social {
    border-left: 1px solid var(--branco);

    position: absolute;

    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    
    margin-top: 110%;
    margin-left: 70%;

    height: 256px;
}

.dados-loja{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;

    margin-top: 30px;
    margin-left: 20px;
}

.rodape-social h3{
    color: var(--branco);
}

.redes ul {
    display: flex;
    gap: 20px;
    padding: 14px;
    justify-content: center;
    align-items: flex-start;
    flex-direction: column;
    
}

.redes li {
    display: flex;
    gap: 10px;
}

.redes p{
    text-decoration: underline;
    color: var(--cinza);
    scale: 1.03;
    cursor: pointer;
}

.redes p:hover{
    color: var(--branco);
}

.redes i{
    display: flex;
    align-items: center;
    justify-content: flex-start;
    font-size: 1.3rem;
    color: var(--cinza);
}

.redes i:hover{
    transform: scale(1.2);
    cursor: pointer;
    color: var(--branco);
}

.insta{
    color: var(--cor-secundaria);
    text-decoration: underline;
}

.face{
    color: var(--cor-secundaria);
    text-decoration: underline;
}

.whatsapp{
    color: var(--cor-secundaria);
    text-decoration: underline;
}

.localizacao{
    color: var(--cor-secundaria);
    text-decoration: underline;
}

.email{
    color: var(--cor-secundaria);
    text-decoration: underline;
}